Gentoo Archives: gentoo-commits

From: Gilles Dartiguelongue <eva@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/simple-scan/
Date: Sat, 12 Aug 2017 23:15:53
Message-Id: 1502579701.974dc99e3aaf7f5156fa2f2fe84586d12bf823b9.eva@gentoo
commit:     974dc99e3aaf7f5156fa2f2fe84586d12bf823b9
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 12 22:32:46 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sat Aug 12 23:15:01 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=974dc99e

media-gfx/simple-scan: version bump 3.22.0.1 → 3.24.1

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 media-gfx/simple-scan/Manifest                  |  1 +
 media-gfx/simple-scan/simple-scan-3.24.1.ebuild | 55 +++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/media-gfx/simple-scan/Manifest b/media-gfx/simple-scan/Manifest
index 3e873731323..2d9f7b24bc0 100644
--- a/media-gfx/simple-scan/Manifest
+++ b/media-gfx/simple-scan/Manifest
@@ -1 +1,2 @@
 DIST simple-scan-3.22.0.1.tar.xz 659564 SHA256 c505b6e63379c9256fbeaa4def3e595fd063d46a8a852ed90218d336291d2b50 SHA512 2513887546c1e6764cffeac26638646b03eaf2f2e5d8013d9c29dfd4fbe200b347f7ee8a94e402497d1e8bdc3ba55d2fb2a740eecc8663c692f75fda2b1607c0 WHIRLPOOL 9fe1bbc2774ace85869fb12084e304e26dff2612bdcd7335de3ad12f803ff9d3ed7fb2b2b64273584782b5ba15ace1acf3cea2f52a2900b5d66b0b67f58cfec8
+DIST simple-scan-3.24.1.tar.xz 669452 SHA256 5eae832b14664183d55aa599801cf32f19ff2174dfba4e3d7e4eb4d55810efb3 SHA512 9f0ced644b13dcaad4f1e23a6520b1cbe3c36d995fca4791383f959986cd396f123638a23dbd02a9511ef7e1c9c915b3a025e9b7e4de4542a4c180c4fe29e2b9 WHIRLPOOL c382f3b6836f8a26b760bf026e2aa76771be74f142e3778be70cd72755188cb45d3453ce95066fa5c0253de9069abd34d39b556ade69355a732f42d0f8573a9c

diff --git a/media-gfx/simple-scan/simple-scan-3.24.1.ebuild b/media-gfx/simple-scan/simple-scan-3.24.1.ebuild
new file mode 100644
index 00000000000..ccf4fc1917f
--- /dev/null
+++ b/media-gfx/simple-scan/simple-scan-3.24.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnome2 vala versionator
+
+DESCRIPTION="Simple document scanning utility"
+HOMEPAGE="https://launchpad.net/simple-scan"
+
+MY_PV=$(get_version_component_range 1-2)
+SRC_URI="https://launchpad.net/${PN}/${MY_PV}/${PV}/+download/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="colord" # packagekit
+
+COMMON_DEPEND="
+	>=dev-libs/glib-2.32:2
+	dev-libs/libgusb[vala]
+	>=media-gfx/sane-backends-1.0.20:=
+	>=sys-libs/zlib-1.2.3.1:=
+	virtual/jpeg:0=
+	x11-libs/cairo:=
+	>=x11-libs/gtk+-3:3
+	colord? ( >=x11-misc/colord-0.1.24:=[udev] )
+"
+# packagekit? ( app-admin/packagekit-base )
+RDEPEND="${COMMON_DEPEND}
+	x11-misc/xdg-utils
+	x11-themes/adwaita-icon-theme
+"
+DEPEND="${COMMON_DEPEND}
+	$(vala_depend)
+	app-text/yelp-tools
+	dev-libs/appstream-glib
+	>=sys-devel/gettext-0.19.7
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	# Force build from vala sources due to mismatch between generated
+	# C files and configure switches
+	# https://bugs.launchpad.net/simple-scan/+bug/1462769
+	rm -f src/simple_scan_vala.stamp || die
+	vala_src_prepare
+	gnome2_src_prepare
+}
+
+src_configure() {
+	gnome2_src_configure \
+		--disable-packagekit \
+		$(use_enable colord)
+		# $(use_enable packagekit)
+}